Bug 5922 - Show waiting items for patron on return
Summary: Show waiting items for patron on return
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-21 19:53 UTC by Katrin Fischer
Modified: 2013-12-05 20:01 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Patch adding new syspref HoldNotifyAtCheckin (17.87 KB, patch)
2011-03-26 21:33 UTC, Katrin Fischer
Details | Diff | Splinter Review
Renamed syspref to WaitingNotifyAtCheckin (17.90 KB, patch)
2011-03-26 22:45 UTC, Katrin Fischer
Details | Diff | Splinter Review
Rebases patch, fixed whitespace errors (20.27 KB, patch)
2011-03-28 06:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
Follow-up change (1.98 KB, patch)
2011-07-21 15:47 UTC, Owen Leonard
Details | Diff | Splinter Review
Screenshot of the proposed change (10.91 KB, image/png)
2011-07-21 15:48 UTC, Owen Leonard
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2011-03-21 19:53:33 UTC
I had a library suggesting a note on the check in screen when holds are waiting for the patron who is returning books. 

Discussion on IRC was that this message should be controlled by a sys pref.
Comment 1 Katrin Fischer 2011-03-26 21:33:38 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2011-03-26 22:45:23 UTC Comment hidden (obsolete)
Comment 3 Nicole C. Engard 2011-03-28 00:31:56 UTC
Apply? [y]es/[n]o/[e]dit/[v]iew patch/[a]ccept all y
Applying: Bug 5922: Notify of waiting holds at checkin
Using index info to reconstruct a base tree...
<stdin>:25: trailing whitespace.
        
<stdin>:26: trailing whitespace.
        if ( C4::Context->preference("WaitingNotifyAtCheckin") ) {     
<stdin>:29: trailing whitespace.
            my $waiting_holds;          
<stdin>:34: trailing whitespace.
            } 
<stdin>:36: trailing whitespace.
                $template->param( 
warning: squelched 2 whitespace errors
warning: 7 lines add whitespace errors.
Falling back to patching base and 3-way merge...
Auto-merging circ/returns.pl
Auto-merging installer/data/mysql/de-DE/mandatory/sysprefs.sql
Auto-merging installer/data/mysql/en/mandatory/sysprefs.sql
Auto-merging installer/data/mysql/fr-FR/1-Obligatoire/unimarc_standard_systemprefs.sql
Auto-merging installer/data/mysql/it-IT/necessari/sysprefs.sql
Auto-merging installer/data/mysql/pl-PL/mandatory/sysprefs.sql
Auto-merging installer/data/mysql/ru-RU/mandatory/system_preferences_full_optimal_for_install_only.sql
Auto-merging installer/data/mysql/uk-UA/mandatory/system_preferences_full_optimal_for_install_only.sql
Auto-merging installer/data/mysql/updatedatabase.pl
CONFLICT (content): Merge conflict in installer/data/mysql/updatedatabase.pl
Auto-merging koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/circulation.pref
CONFLICT (content): Merge conflict in koha-tmpl/intranet-tmpl/prog/en/modules/admin/preferences/circulation.pref
Auto-merging kohaversion.pl
CONFLICT (content): Merge conflict in kohaversion.pl
Failed to merge in the changes.
Patch failed at 0001 Bug 5922: Notify of waiting holds at checkin
When you have resolved this problem run "git am --resolved".
If you would prefer to skip this patch, instead run "git am --skip".
To restore the original branch and stop patching run "git am --abort".
nengard@debian:~/kohaclone$
Comment 4 Katrin Fischer 2011-03-28 06:37:40 UTC
Created attachment 3458 [details] [review]
Rebases patch, fixed whitespace errors
Comment 5 Chris Cormack 2011-04-05 02:34:46 UTC
Hi Guillaume

Did you send the signed off patch? I cant find it on the mailing list

Chirs
Comment 6 Guillaume Hatt 2011-04-05 08:19:46 UTC
Signed off patch has been sent today. 

Guillaume
Comment 7 MJ Ray (software.coop) 2011-04-06 13:51:55 UTC
This bug is mentioned in:
Bug 5922: Notify of waiting holds at checkin http://lists.koha-community.org/pipermail/koha-patches/2011-March/014235.html
Bug 5922: Notify of waiting holds at checkin http://lists.koha-community.org/pipermail/koha-patches/2011-March/014236.html
Bug 5922: Notify of waiting holds at checkin http://lists.koha-community.org/pipermail/koha-patches/2011-March/014237.html
Comment 8 Chris Cormack 2011-04-11 20:21:45 UTC
This was signed off, but status wasn't changed
Comment 9 Chris Cormack 2011-04-13 02:49:40 UTC
The signed off patch contains a patch of a patch???

Applied the original one instead. This was submitted for sign off before the feature freeze, pushing.
Comment 10 Owen Leonard 2011-07-21 15:47:29 UTC
Created attachment 4702 [details] [review]
Follow-up change

- Adding patron name to dialog
- Styling dialog as a message rather than an alert since it's
  informational rather than a warning
Comment 11 Owen Leonard 2011-07-21 15:48:55 UTC
Created attachment 4703 [details]
Screenshot of the proposed change
Comment 12 Chris Cormack 2011-08-01 01:03:29 UTC
Pushed the follow up.